package com.bernhardriedl.projects.gameoflife.tools;

import java.io.File;

import javax.swing.filechooser.FileFilter;

import com.bernhardriedl.projects.gameoflife.GameOfLife;
import com.bernhardriedl.projects.tools.utils.Utils;

public class GOLFilter
	extends FileFilter {
	
	public final static String GOL = "gol";
	
	/**
	 * Accept all directories and all gof files.
	 * @param f File
	 * @return accepted
	 */
	
	public boolean accept(File f) {
		if (f.isDirectory())
			return true;
		
		String extension = Utils.getExtension(f);
		
		if (extension != null) {
			if (extension.equals(GOLFilter.GOL))
				return true;
			else
				return false;
		}
		
		return false;
	}
	
	/**
	 * The description of this filter
	 * @return Description
	 */
	
	public String getDescription() {
		return "GOL ("+GameOfLife.NICENAME+" Universe)";
	}
}